Older versions of eclipse plugin

classic Classic list List threaded Threaded
19 messages Options
Reply | Threaded
Open this post in threaded view
|

Older versions of eclipse plugin

Daniel Henrique Alves Lima
        Hi, everybody.

        Where can i find older versions of the eclipse plugin (the links at the
site seems to be broken)? I've updated my plugin installation and now
code completion is failing at some classes.

        Thanks in advance.

!MESSAGE Error performing search for Sample.groovy
!STACK 0
org.codehaus.jdt.groovy.internal.compiler.ast.ImmutableException
        at
org.codehaus.jdt.groovy.internal.compiler.ast.LazyGenericsType.setType(LazyGenericsType.java:90)
        at
org.eclipse.jdt.groovy.search.VariableScope.resolveTypeParameterization(VariableScope.java:319)
        at
org.eclipse.jdt.groovy.search.TypeInferencingVisitorWithRequestor.extractElementType(TypeInferencingVisitorWithRequestor.java:1004)
        at
org.eclipse.jdt.groovy.search.TypeInferencingVisitorWithRequestor.visitForLoop(TypeInferencingVisitorWithRequestor.java:949)
        at
org.codehaus.groovy.ast.stmt.ForStatement.visit(ForStatement.java:47)
        at
org.codehaus.groovy.ast.CodeVisitorSupport.visitBlockStatement(CodeVisitorSupport.java:35)
        at
org.codehaus.groovy.ast.ClassCodeVisitorSupport.visitBlockStatement(ClassCodeVisitorSupport.java:179)
        at
org.eclipse.jdt.groovy.search.TypeInferencingVisitorWithRequestor.visitBlockStatement(TypeInferencingVisitorWithRequestor.java:914)
        at
org.codehaus.groovy.ast.stmt.BlockStatement.visit(BlockStatement.java:51)
        at
org.codehaus.groovy.ast.CodeVisitorSupport.visitIfElse(CodeVisitorSupport.java:56)
        at
org.codehaus.groovy.ast.ClassCodeVisitorSupport.visitIfElse(ClassCodeVisitorSupport.java:219)
        at
org.codehaus.groovy.ast.stmt.IfStatement.visit(IfStatement.java:41)
        at
org.codehaus.groovy.ast.CodeVisitorSupport.visitBlockStatement(CodeVisitorSupport.java:35)
        at
org.codehaus.groovy.ast.ClassCodeVisitorSupport.visitBlockStatement(ClassCodeVisitorSupport.java:179)
        at
org.eclipse.jdt.groovy.search.TypeInferencingVisitorWithRequestor.visitBlockStatement(TypeInferencingVisitorWithRequestor.java:914)
        at
org.codehaus.groovy.ast.stmt.BlockStatement.visit(BlockStatement.java:51)
        at
org.codehaus.groovy.ast.CodeVisitorSupport.visitClosureExpression(CodeVisitorSupport.java:174)
        at
org.eclipse.jdt.groovy.search.TypeInferencingVisitorWithRequestor.visitClosureExpression(TypeInferencingVisitorWithRequestor.java:904)
        at
org.codehaus.groovy.ast.expr.ClosureExpression.visit(ClosureExpression.java:46)
        at
org.codehaus.groovy.ast.ClassCodeVisitorSupport.visitField(ClassCodeVisitorSupport.java:130)
        at
org.eclipse.jdt.groovy.search.TypeInferencingVisitorWithRequestor.visitField(TypeInferencingVisitorWithRequestor.java:485)
        at
org.eclipse.jdt.groovy.search.TypeInferencingVisitorWithRequestor.visitJDT(TypeInferencingVisitorWithRequestor.java:331)
        at
org.eclipse.jdt.groovy.search.TypeInferencingVisitorWithRequestor.visitJDT(TypeInferencingVisitorWithRequestor.java:233)
        at
org.eclipse.jdt.groovy.search.TypeInferencingVisitorWithRequestor.visitCompilationUnit(TypeInferencingVisitorWithRequestor.java:183)




---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

Re: Older versions of eclipse plugin

Daniel Henrique Alves Lima
        I'm not sure about that but it seems that the new version of the plugin
doesn't like of two classes inside the same groovy file.
       
        Thanks.


On Sun, 2010-10-31 at 09:40 -0200, Daniel Henrique Alves Lima wrote:

> Hi, everybody.
>
> Where can i find older versions of the eclipse plugin (the links at the
> site seems to be broken)? I've updated my plugin installation and now
> code completion is failing at some classes.
>
> Thanks in advance.
>
> !MESSAGE Error performing search for Sample.groovy
> !STACK 0
> org.codehaus.jdt.groovy.internal.compiler.ast.ImmutableException
>         at
> org.codehaus.jdt.groovy.internal.compiler.ast.LazyGenericsType.setType(LazyGenericsType.java:90)
>         at
> org.eclipse.jdt.groovy.search.VariableScope.resolveTypeParameterization(VariableScope.java:319)
>         at
> org.eclipse.jdt.groovy.search.TypeInferencingVisitorWithRequestor.extractElementType(TypeInferencingVisitorWithRequestor.java:1004)
>         at
> org.eclipse.jdt.groovy.search.TypeInferencingVisitorWithRequestor.visitForLoop(TypeInferencingVisitorWithRequestor.java:949)
>         at
>



---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

Re: Older versions of eclipse plugin

Daniel Henrique Alves Lima
        I was wrong, i could not figure out or isolate the error. Oddly enough
code completion works in the same variable until some point :-(


On Sun, 2010-10-31 at 09:46 -0200, Daniel Henrique Alves Lima wrote:

> I'm not sure about that but it seems that the new version of the plugin
> doesn't like of two classes inside the same groovy file.
>
> Thanks.
>
>
> On Sun, 2010-10-31 at 09:40 -0200, Daniel Henrique Alves Lima wrote:
> > Hi, everybody.
> >
> > Where can i find older versions of the eclipse plugin (the links at the
> > site seems to be broken)? I've updated my plugin installation and now
> > code completion is failing at some classes.
> >
> > Thanks in advance.
> >
> > !MESSAGE Error performing search for Sample.groovy
> > !STACK 0
> > org.codehaus.jdt.groovy.internal.compiler.ast.ImmutableException
> >         at
> > org.codehaus.jdt.groovy.internal.compiler.ast.LazyGenericsType.setType(LazyGenericsType.java:90)
> >         at
> > org.eclipse.jdt.groovy.search.VariableScope.resolveTypeParameterization(VariableScope.java:319)
> >         at
> > org.eclipse.jdt.groovy.search.TypeInferencingVisitorWithRequestor.extractElementType(TypeInferencingVisitorWithRequestor.java:1004)
> >         at
> > org.eclipse.jdt.groovy.search.TypeInferencingVisitorWithRequestor.visitForLoop(TypeInferencingVisitorWithRequestor.java:949)
> >         at
> >
>
>
>
>

---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email

eclipse.log (54K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Older versions of eclipse plugin

Val Huber
Hi, Daniel

I was getting something similar… note the line with makesCodeCompletionFailAfterThis

void appendDependsOnMethod(String aRuleName, String aDependsOn, ASTNode[] astNodes, SourceUnit sourceUnit) {
int traceLev = traceBegin("appendDependsOnMethod: " + aDependsOn)
MethodNode methodNode = findOrCreateMethod("dependsOn", astNodes, sourceUnit)
List existingStatements = methodNode.getCode().getStatements()
int oldExistingStatementsSize = existingStatements.size()  // recall these are 0-based...
logDB("inserting code into: " + methodNode + ", " + oldExistingStatementsSize + " statements: " + existingStatements)


String codeString = "rtnList.add('" + aRuleName + ": " + aDependsOn + " ')" // eg rtnList.add ("Rool_2: varA varB") 
List <ASTNode> buildNodes = new AstBuilder().buildFromString(CompilePhase.SEMANTIC_ANALYSIS, true, codeString)
BlockStatement blockStatement = buildNodes[0]
// logDB("..buildNodes[0]: " + whatIsThis)


Statement stmt = blockStatement.getStatements()[0]


Object makesCodeCompletionFailAfterThis = buildNodes[0].statements[0]


existingStatements.add(oldExistingStatementsSize-1, stmt)
int newExistingStatementsSize = existingStatements.size()
logDB(".. added, statements now: , " + oldExistingStatementsSize + " statements: " + existingStatements)
traceEnd(traceLev)
}


My symptom was that code before that line did code completion, but not after.  So, I commented that out, using the line before which does not break code completion.

Thanks,
Val

On Oct 31, 2010, at 5:17 AM, Daniel Henrique Alves Lima wrote:

I was wrong, i could not figure out or isolate the error. Oddly enough
code completion works in the same variable until some point :-(


On Sun, 2010-10-31 at 09:46 -0200, Daniel Henrique Alves Lima wrote:
I'm not sure about that but it seems that the new version of the plugin
doesn't like of two classes inside the same groovy file.

Thanks.


On Sun, 2010-10-31 at 09:40 -0200, Daniel Henrique Alves Lima wrote:
Hi, everybody.

Where can i find older versions of the eclipse plugin (the links at the
site seems to be broken)? I've updated my plugin installation and now
code completion is failing at some classes.

Thanks in advance.

!MESSAGE Error performing search for Sample.groovy
!STACK 0
org.codehaus.jdt.groovy.internal.compiler.ast.ImmutableException
       at
org.codehaus.jdt.groovy.internal.compiler.ast.LazyGenericsType.setType(LazyGenericsType.java:90)
       at
org.eclipse.jdt.groovy.search.VariableScope.resolveTypeParameterization(VariableScope.java:319)
       at
org.eclipse.jdt.groovy.search.TypeInferencingVisitorWithRequestor.extractElementType(TypeInferencingVisitorWithRequestor.java:1004)
       at
org.eclipse.jdt.groovy.search.TypeInferencingVisitorWithRequestor.visitForLoop(TypeInferencingVisitorWithRequestor.java:949)
       at





<eclipse.log>---------------------------------------------------------------------
To unsubscribe from this list, please visit:

   http://xircles.codehaus.org/manage_email

Reply | Threaded
Open this post in threaded view
|

Re: Older versions of eclipse plugin

Andy Clement
In reply to this post by Daniel Henrique Alves Lima
Please raise a groovy-eclipse jira for that.

Andy

On 31 October 2010 04:40, Daniel Henrique Alves Lima
<[hidden email]> wrote:

>        Hi, everybody.
>
>        Where can i find older versions of the eclipse plugin (the links at the
> site seems to be broken)? I've updated my plugin installation and now
> code completion is failing at some classes.
>
>        Thanks in advance.
>
> !MESSAGE Error performing search for Sample.groovy
> !STACK 0
> org.codehaus.jdt.groovy.internal.compiler.ast.ImmutableException
>        at
> org.codehaus.jdt.groovy.internal.compiler.ast.LazyGenericsType.setType(LazyGenericsType.java:90)
>        at
> org.eclipse.jdt.groovy.search.VariableScope.resolveTypeParameterization(VariableScope.java:319)
>        at
> org.eclipse.jdt.groovy.search.TypeInferencingVisitorWithRequestor.extractElementType(TypeInferencingVisitorWithRequestor.java:1004)
>        at
> org.eclipse.jdt.groovy.search.TypeInferencingVisitorWithRequestor.visitForLoop(TypeInferencingVisitorWithRequestor.java:949)
>        at
> org.codehaus.groovy.ast.stmt.ForStatement.visit(ForStatement.java:47)
>        at
> org.codehaus.groovy.ast.CodeVisitorSupport.visitBlockStatement(CodeVisitorSupport.java:35)
>        at
> org.codehaus.groovy.ast.ClassCodeVisitorSupport.visitBlockStatement(ClassCodeVisitorSupport.java:179)
>        at
> org.eclipse.jdt.groovy.search.TypeInferencingVisitorWithRequestor.visitBlockStatement(TypeInferencingVisitorWithRequestor.java:914)
>        at
> org.codehaus.groovy.ast.stmt.BlockStatement.visit(BlockStatement.java:51)
>        at
> org.codehaus.groovy.ast.CodeVisitorSupport.visitIfElse(CodeVisitorSupport.java:56)
>        at
> org.codehaus.groovy.ast.ClassCodeVisitorSupport.visitIfElse(ClassCodeVisitorSupport.java:219)
>        at
> org.codehaus.groovy.ast.stmt.IfStatement.visit(IfStatement.java:41)
>        at
> org.codehaus.groovy.ast.CodeVisitorSupport.visitBlockStatement(CodeVisitorSupport.java:35)
>        at
> org.codehaus.groovy.ast.ClassCodeVisitorSupport.visitBlockStatement(ClassCodeVisitorSupport.java:179)
>        at
> org.eclipse.jdt.groovy.search.TypeInferencingVisitorWithRequestor.visitBlockStatement(TypeInferencingVisitorWithRequestor.java:914)
>        at
> org.codehaus.groovy.ast.stmt.BlockStatement.visit(BlockStatement.java:51)
>        at
> org.codehaus.groovy.ast.CodeVisitorSupport.visitClosureExpression(CodeVisitorSupport.java:174)
>        at
> org.eclipse.jdt.groovy.search.TypeInferencingVisitorWithRequestor.visitClosureExpression(TypeInferencingVisitorWithRequestor.java:904)
>        at
> org.codehaus.groovy.ast.expr.ClosureExpression.visit(ClosureExpression.java:46)
>        at
> org.codehaus.groovy.ast.ClassCodeVisitorSupport.visitField(ClassCodeVisitorSupport.java:130)
>        at
> org.eclipse.jdt.groovy.search.TypeInferencingVisitorWithRequestor.visitField(TypeInferencingVisitorWithRequestor.java:485)
>        at
> org.eclipse.jdt.groovy.search.TypeInferencingVisitorWithRequestor.visitJDT(TypeInferencingVisitorWithRequestor.java:331)
>        at
> org.eclipse.jdt.groovy.search.TypeInferencingVisitorWithRequestor.visitJDT(TypeInferencingVisitorWithRequestor.java:233)
>        at
> org.eclipse.jdt.groovy.search.TypeInferencingVisitorWithRequestor.visitCompilationUnit(TypeInferencingVisitorWithRequestor.java:183)
>
>
>
>
> ---------------------------------------------------------------------
> To unsubscribe from this list, please visit:
>
>    http://xircles.codehaus.org/manage_email
>
>
>

---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

Re: Older versions of eclipse plugin

Andrew Eisenberg
In reply to this post by Val Huber
Val,

Thanks for the failing code.  I've whittled it down to a simple
failing test and raised this bug for it:
http://jira.codehaus.org/browse/GRECLIPSE-874

I should be able to fix it on Monday and the fix will be available
shortly after.

Daniel,

I think you are seeing a different, but related problem.  I can add a
check so that the exception is never thrown, but I wonder if there is
a deeper issue going on.  Any chance that you can send me a failing
code snippet that I can play with?

Also, you mentioned that you can no longer access older releases of
Groovy-Eclipse.  They are available, but I'm not sure if there is a
link to them from the groovy-eclipse web page.  I can add them.  Is
there a particular place that you were looking?

On Sun, Oct 31, 2010 at 7:24 AM, Val Huber <[hidden email]> wrote:

> void appendDependsOnMethod(String aRuleName, String aDependsOn, ASTNode[]
> astNodes, SourceUnit sourceUnit) {
> int traceLev = traceBegin("appendDependsOnMethod: " + aDependsOn)
> MethodNode methodNode = findOrCreateMethod("dependsOn", astNodes,
> sourceUnit)
> List existingStatements = methodNode.getCode().getStatements()
> int oldExistingStatementsSize = existingStatements.size()  // recall these
> are 0-based...
> logDB("inserting code into: " + methodNode + ", " +
> oldExistingStatementsSize + " statements: " + existingStatements)
>
> String codeString = "rtnList.add('" + aRuleName + ": " + aDependsOn + " ')"
> // eg rtnList.add ("Rool_2: varA varB")
> List <ASTNode> buildNodes = new
> AstBuilder().buildFromString(CompilePhase.SEMANTIC_ANALYSIS, true,
> codeString)
> BlockStatement blockStatement = buildNodes[0]
> // logDB("..buildNodes[0]: " + whatIsThis)
>
> Statement stmt = blockStatement.getStatements()[0]
>
> Object makesCodeCompletionFailAfterThis = buildNodes[0].statements[0]
>
> existingStatements.add(oldExistingStatementsSize-1, stmt)
> int newExistingStatementsSize = existingStatements.size()
> logDB(".. added, statements now: , " + oldExistingStatementsSize + "
> statements: " + existingStatements)
> traceEnd(traceLev)
> }

---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

Re: Older versions of eclipse plugin

Val Huber
thanks for:
  • getting back
  • filing the bug
  • and building this cool product!

Thanks,
Val

On Oct 31, 2010, at 2:28 PM, Andrew Eisenberg wrote:

Val,

Thanks for the failing code.  I've whittled it down to a simple
failing test and raised this bug for it:
http://jira.codehaus.org/browse/GRECLIPSE-874

I should be able to fix it on Monday and the fix will be available
shortly after.

Daniel,

I think you are seeing a different, but related problem.  I can add a
check so that the exception is never thrown, but I wonder if there is
a deeper issue going on.  Any chance that you can send me a failing
code snippet that I can play with?

Also, you mentioned that you can no longer access older releases of
Groovy-Eclipse.  They are available, but I'm not sure if there is a
link to them from the groovy-eclipse web page.  I can add them.  Is
there a particular place that you were looking?

On Sun, Oct 31, 2010 at 7:24 AM, Val Huber <[hidden email]> wrote:
void appendDependsOnMethod(String aRuleName, String aDependsOn, ASTNode[]
astNodes, SourceUnit sourceUnit) {
int traceLev = traceBegin("appendDependsOnMethod: " + aDependsOn)
MethodNode methodNode = findOrCreateMethod("dependsOn", astNodes,
sourceUnit)
List existingStatements = methodNode.getCode().getStatements()
int oldExistingStatementsSize = existingStatements.size()  // recall these
are 0-based...
logDB("inserting code into: " + methodNode + ", " +
oldExistingStatementsSize + " statements: " + existingStatements)

String codeString = "rtnList.add('" + aRuleName + ": " + aDependsOn + " ')"
// eg rtnList.add ("Rool_2: varA varB")
List <ASTNode> buildNodes = new
AstBuilder().buildFromString(CompilePhase.SEMANTIC_ANALYSIS, true,
codeString)
BlockStatement blockStatement = buildNodes[0]
// logDB("..buildNodes[0]: " + whatIsThis)

Statement stmt = blockStatement.getStatements()[0]

Object makesCodeCompletionFailAfterThis = buildNodes[0].statements[0]

existingStatements.add(oldExistingStatementsSize-1, stmt)
int newExistingStatementsSize = existingStatements.size()
logDB(".. added, statements now: , " + oldExistingStatementsSize + "
statements: " + existingStatements)
traceEnd(traceLev)
}

---------------------------------------------------------------------
To unsubscribe from this list, please visit:

   http://xircles.codehaus.org/manage_email



Reply | Threaded
Open this post in threaded view
|

Re: Older versions of eclipse plugin

Daniel Henrique Alves Lima
In reply to this post by Val Huber
        Hi, Val.

        It is really difficult to know what's going on. I've fixed changing
from

        for (img in sample.images)
        // Code completion stops to work over any variable/object

        To

        for (Image img : sample.images)


        But if i copy and paste the original source code in another Groovy
class, everything works fine.
        Esoteric erros are the worst. I still don't know what i can or cannot
do :-(


        Thanks.


On Sun, 2010-10-31 at 07:24 -0700, Val Huber wrote:
> Hi, Daniel
>
(...)
> >
>
>




---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

Re: Older versions of eclipse plugin

Andrew Eisenberg
Thanks.  I am able to reproduce the problem now.

On Mon, Nov 1, 2010 at 12:40 PM, Daniel Henrique Alves Lima
<[hidden email]> wrote:

>        Hi, Val.
>
>        It is really difficult to know what's going on. I've fixed changing
> from
>
>        for (img in sample.images)
>        // Code completion stops to work over any variable/object
>
>        To
>
>        for (Image img : sample.images)
>
>
>        But if i copy and paste the original source code in another Groovy
> class, everything works fine.
>        Esoteric erros are the worst. I still don't know what i can or cannot
> do :-(
>
>
>        Thanks.
>
>
> On Sun, 2010-10-31 at 07:24 -0700, Val Huber wrote:
>> Hi, Daniel
>>
> (...)
>> >
>>
>>
>
>
>
>
> ---------------------------------------------------------------------
> To unsubscribe from this list, please visit:
>
>    http://xircles.codehaus.org/manage_email
>
>
>

---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

Re: Older versions of eclipse plugin

Andrew Eisenberg
In reply to this post by Val Huber
A fix for this has been committed.  Waiting for the next dev build,
then you can try it out.

On Sun, Oct 31, 2010 at 2:29 PM, Val Huber <[hidden email]> wrote:

> thanks for:
>
> getting back
> filing the bug
> and building this cool product!
>
> Thanks,
> Val
> On Oct 31, 2010, at 2:28 PM, Andrew Eisenberg wrote:
>
> Val,
>
> Thanks for the failing code.  I've whittled it down to a simple
> failing test and raised this bug for it:
> http://jira.codehaus.org/browse/GRECLIPSE-874
>
> I should be able to fix it on Monday and the fix will be available
> shortly after.
>
> Daniel,
>
> I think you are seeing a different, but related problem.  I can add a
> check so that the exception is never thrown, but I wonder if there is
> a deeper issue going on.  Any chance that you can send me a failing
> code snippet that I can play with?
>
> Also, you mentioned that you can no longer access older releases of
> Groovy-Eclipse.  They are available, but I'm not sure if there is a
> link to them from the groovy-eclipse web page.  I can add them.  Is
> there a particular place that you were looking?
>
> On Sun, Oct 31, 2010 at 7:24 AM, Val Huber <[hidden email]> wrote:
>
> void appendDependsOnMethod(String aRuleName, String aDependsOn, ASTNode[]
>
> astNodes, SourceUnit sourceUnit) {
>
> int traceLev = traceBegin("appendDependsOnMethod: " + aDependsOn)
>
> MethodNode methodNode = findOrCreateMethod("dependsOn", astNodes,
>
> sourceUnit)
>
> List existingStatements = methodNode.getCode().getStatements()
>
> int oldExistingStatementsSize = existingStatements.size()  // recall these
>
> are 0-based...
>
> logDB("inserting code into: " + methodNode + ", " +
>
> oldExistingStatementsSize + " statements: " + existingStatements)
>
> String codeString = "rtnList.add('" + aRuleName + ": " + aDependsOn + " ')"
>
> // eg rtnList.add ("Rool_2: varA varB")
>
> List <ASTNode> buildNodes = new
>
> AstBuilder().buildFromString(CompilePhase.SEMANTIC_ANALYSIS, true,
>
> codeString)
>
> BlockStatement blockStatement = buildNodes[0]
>
> // logDB("..buildNodes[0]: " + whatIsThis)
>
> Statement stmt = blockStatement.getStatements()[0]
>
> Object makesCodeCompletionFailAfterThis = buildNodes[0].statements[0]
>
> existingStatements.add(oldExistingStatementsSize-1, stmt)
>
> int newExistingStatementsSize = existingStatements.size()
>
> logDB(".. added, statements now: , " + oldExistingStatementsSize + "
>
> statements: " + existingStatements)
>
> traceEnd(traceLev)
>
> }
>
> ---------------------------------------------------------------------
> To unsubscribe from this list, please visit:
>
>    http://xircles.codehaus.org/manage_email
>
>
>
>

---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

Re: Older versions of eclipse plugin

Val Huber
In reply to this post by Daniel Henrique Alves Lima
HI, Daniel

Thanks for getting back, but the images did not come through.  That is not usually a problem for me - can you resend them some other way, maybe in a zip?  Or, is there a forum I should be looking at?

I understand Andrew has recreated the issue - is that your understanding?

Thanks,
Val

On Nov 1, 2010, at 12:40 PM, Daniel Henrique Alves Lima wrote:

> Hi, Val.
>
> It is really difficult to know what's going on. I've fixed changing
> from
>
> for (img in sample.images)
> // Code completion stops to work over any variable/object
>
> To
>
> for (Image img : sample.images)
>
>
> But if i copy and paste the original source code in another Groovy
> class, everything works fine.
> Esoteric erros are the worst. I still don't know what i can or cannot
> do :-(
>
>
> Thanks.
>
>
> On Sun, 2010-10-31 at 07:24 -0700, Val Huber wrote:
>> Hi, Daniel
>>
> (...)
>>>
>>
>>
>
>
>
>
> ---------------------------------------------------------------------
> To unsubscribe from this list, please visit:
>
>    http://xircles.codehaus.org/manage_email
>
>


---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

Re: Older versions of eclipse plugin

Andrew Eisenberg
I created a jira for the issue at GRECLIPSE-877.  The fix is now
committed.  It should be available soon.

On Mon, Nov 1, 2010 at 1:38 PM, Val Huber <[hidden email]> wrote:

> HI, Daniel
>
> Thanks for getting back, but the images did not come through.  That is not usually a problem for me - can you resend them some other way, maybe in a zip?  Or, is there a forum I should be looking at?
>
> I understand Andrew has recreated the issue - is that your understanding?
>
> Thanks,
> Val
>
> On Nov 1, 2010, at 12:40 PM, Daniel Henrique Alves Lima wrote:
>
>>       Hi, Val.
>>
>>       It is really difficult to know what's going on. I've fixed changing
>> from
>>
>>       for (img in sample.images)
>>       // Code completion stops to work over any variable/object
>>
>>       To
>>
>>       for (Image img : sample.images)
>>
>>
>>       But if i copy and paste the original source code in another Groovy
>> class, everything works fine.
>>       Esoteric erros are the worst. I still don't know what i can or cannot
>> do :-(
>>
>>
>>       Thanks.
>>
>>
>> On Sun, 2010-10-31 at 07:24 -0700, Val Huber wrote:
>>> Hi, Daniel
>>>
>> (...)
>>>>
>>>
>>>
>>
>>
>>
>>
>> ---------------------------------------------------------------------
>> To unsubscribe from this list, please visit:
>>
>>    http://xircles.codehaus.org/manage_email
>>
>>
>
>
> ---------------------------------------------------------------------
> To unsubscribe from this list, please visit:
>
>    http://xircles.codehaus.org/manage_email
>
>
>

---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

Re: Older versions of eclipse plugin

Daniel Henrique Alves Lima
In reply to this post by Val Huber

On Mon, 2010-11-01 at 13:38 -0700, Val Huber wrote:
> HI, Daniel

Hi, Val.

>
> Thanks for getting back, but the images did not come through.  That is not usually a problem for me - can you resend them some other way,
> maybe in a zip?  Or, is there a forum I should be looking at?

Sorry but what are these images that you are talking about?


>
> I understand Andrew has recreated the issue - is that your understanding?

Yes, i also understand that. Seems that i've missed some e-mails.

>
> Thanks,
> Val

Thanks Val. Thanks Andrew.




---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

Re: Older versions of eclipse plugin

Daniel Henrique Alves Lima
In reply to this post by Andrew Eisenberg
        Hi, Andrew.

        I'm glad to know that the source code was useful. I could not write a
piece of code inside a separated class to isolate the error. Like i
said, if i try to write a similar piece of code in another class,
everything continues to work (maybe i've missed something like the used
user types and etc, but i could not figured out what it is).


        Thanks.


On Mon, 2010-11-01 at 13:31 -0700, Andrew Eisenberg wrote:

> Thanks.  I am able to reproduce the problem now.
>
> On Mon, Nov 1, 2010 at 12:40 PM, Daniel Henrique Alves Lima
> <[hidden email]> wrote:
> >        Hi, Val.
> >
> >        It is really difficult to know what's going on. I've fixed changing
> > from
> >
> >        for (img in sample.images)
> >        // Code completion stops to work over any variable/object
> >
> >        To
> >
> >        for (Image img : sample.images)
> >
> >
> >        But if i copy and paste the original source code in another Groovy
> > class, everything works fine.
> >        Esoteric erros are the worst. I still don't know what i can or cannot
> > do :-(
> >
> >
> >        Thanks.
> >
> >
> > On Sun, 2010-10-31 at 07:24 -0700, Val Huber wrote:
> >> Hi, Daniel
> >>
> > (...)
> >> >
> >>
> >>
> >
> >
> >
> >

>



---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

Re: Older versions of eclipse plugin

Daniel Henrique Alves Lima
In reply to this post by Andrew Eisenberg
        Hi, Andrew.

        I don't know if i should looking at here:

http://groovy.codehaus.org/Eclipse
+Plugin#EclipsePlugin-GettingOtherBuilds


http://dist.springsource.org/milestone/GRECLIPSE/e3.5/ (it seems broken)

http://ci.repository.codehaus.org/greclipse/snapshot/e35/old/ (it is
empty)


        Thanks in advance.



On Sun, 2010-10-31 at 14:28 -0700, Andrew Eisenberg wrote:

(...)
>
> Daniel,
>
(...)
>
> Also, you mentioned that you can no longer access older releases of
> Groovy-Eclipse.  They are available, but I'm not sure if there is a
> link to them from the groovy-eclipse web page.  I can add them.  Is
> there a particular place that you were looking?


>



---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

Re: Older versions of eclipse plugin

Andrew Eisenberg
Are you running on Eclipse 3.5?  This fix is only available on 3.6.
Here is the update site:

http://dist.codehaus.org/groovy/distributions/greclipse/snapshot/e3.6/

Is there any reason why you can't upgrade to Eclipse 3.6?  We weren't
planning on supporting 3.5 any more.

On Tue, Nov 2, 2010 at 2:12 AM, Daniel Henrique Alves Lima
<[hidden email]> wrote:

>        Hi, Andrew.
>
>        I don't know if i should looking at here:
>
> http://groovy.codehaus.org/Eclipse
> +Plugin#EclipsePlugin-GettingOtherBuilds
>
>
> http://dist.springsource.org/milestone/GRECLIPSE/e3.5/ (it seems broken)
>
> http://ci.repository.codehaus.org/greclipse/snapshot/e35/old/ (it is
> empty)
>
>
>        Thanks in advance.
>
>
>
> On Sun, 2010-10-31 at 14:28 -0700, Andrew Eisenberg wrote:
>
> (...)
>>
>> Daniel,
>>
> (...)
>>
>> Also, you mentioned that you can no longer access older releases of
>> Groovy-Eclipse.  They are available, but I'm not sure if there is a
>> link to them from the groovy-eclipse web page.  I can add them.  Is
>> there a particular place that you were looking?
>
>
>>
>
>
>
> ---------------------------------------------------------------------
> To unsubscribe from this list, please visit:
>
>    http://xircles.codehaus.org/manage_email
>
>
>

---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

Re: Older versions of eclipse plugin

Val Huber
Hi, Andrew

Yes, I am using 3.6.  I have reattached my whatIsInstalled.txt, below.



I installed the patch (Help/Install New Software) which updated my groovy.

I copied the Groovy jar (see screen shot) from the plug-ins' lib (it is *not* on the project Properties/Java Build Path/Libs)

But, my breakpoint is not hit.  Did I do something wrong?  Or, was your mail not referring to the "breakpoints not hit on invoked Groovy methods"?  (invoking code shown in lower pane - neither invoking approach hits the breakpoint):




Thanks,
Val

On Nov 2, 2010, at 8:36 AM, Andrew Eisenberg wrote:

> Are you running on Eclipse 3.5?  This fix is only available on 3.6.
> Here is the update site:
>
> http://dist.codehaus.org/groovy/distributions/greclipse/snapshot/e3.6/
>
> Is there any reason why you can't upgrade to Eclipse 3.6?  We weren't
> planning on supporting 3.5 any more.
>
> On Tue, Nov 2, 2010 at 2:12 AM, Daniel Henrique Alves Lima
> <[hidden email]> wrote:
>>        Hi, Andrew.
>>
>>        I don't know if i should looking at here:
>>
>> http://groovy.codehaus.org/Eclipse
>> +Plugin#EclipsePlugin-GettingOtherBuilds
>>
>>
>> http://dist.springsource.org/milestone/GRECLIPSE/e3.5/ (it seems broken)
>>
>> http://ci.repository.codehaus.org/greclipse/snapshot/e35/old/ (it is
>> empty)
>>
>>
>>        Thanks in advance.
>>
>>
>>
>> On Sun, 2010-10-31 at 14:28 -0700, Andrew Eisenberg wrote:
>>
>> (...)
>>>
>>> Daniel,
>>>
>> (...)
>>>
>>> Also, you mentioned that you can no longer access older releases of
>>> Groovy-Eclipse.  They are available, but I'm not sure if there is a
>>> link to them from the groovy-eclipse web page.  I can add them.  Is
>>> there a particular place that you were looking?
>>
>>
>>>
>>
>>
>>
>> ---------------------------------------------------------------------
>> To unsubscribe from this list, please visit:
>>
>>    http://xircles.codehaus.org/manage_email
>>
>>
>>
>
> ---------------------------------------------------------------------
> To unsubscribe from this list, please visit:
>
>    http://xircles.codehaus.org/manage_email
>
>


---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email

WhatsInstalled.txt~ (1K) Download Attachment
GroovyDebugInvokedMethod.png (352K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Older versions of eclipse plugin

Andrew Eisenberg
Sorry Val, I was talking to Daniel.  I have not yet had a chance to
look at your breakpoint issues.

On Tue, Nov 2, 2010 at 9:17 AM, Val Huber <[hidden email]> wrote:

> Hi, Andrew
>
> Yes, I am using 3.6.  I have reattached my whatIsInstalled.txt, below.
>
>
>
> I installed the patch (Help/Install New Software) which updated my groovy.
>
> I copied the Groovy jar (see screen shot) from the plug-ins' lib (it is *not* on the project Properties/Java Build Path/Libs)
>
> But, my breakpoint is not hit.  Did I do something wrong?  Or, was your mail not referring to the "breakpoints not hit on invoked Groovy methods"?  (invoking code shown in lower pane - neither invoking approach hits the breakpoint):
>
>
>
>
> Thanks,
> Val
>
> On Nov 2, 2010, at 8:36 AM, Andrew Eisenberg wrote:
>
>> Are you running on Eclipse 3.5?  This fix is only available on 3.6.
>> Here is the update site:
>>
>> http://dist.codehaus.org/groovy/distributions/greclipse/snapshot/e3.6/
>>
>> Is there any reason why you can't upgrade to Eclipse 3.6?  We weren't
>> planning on supporting 3.5 any more.
>>
>> On Tue, Nov 2, 2010 at 2:12 AM, Daniel Henrique Alves Lima
>> <[hidden email]> wrote:
>>>        Hi, Andrew.
>>>
>>>        I don't know if i should looking at here:
>>>
>>> http://groovy.codehaus.org/Eclipse
>>> +Plugin#EclipsePlugin-GettingOtherBuilds
>>>
>>>
>>> http://dist.springsource.org/milestone/GRECLIPSE/e3.5/ (it seems broken)
>>>
>>> http://ci.repository.codehaus.org/greclipse/snapshot/e35/old/ (it is
>>> empty)
>>>
>>>
>>>        Thanks in advance.
>>>
>>>
>>>
>>> On Sun, 2010-10-31 at 14:28 -0700, Andrew Eisenberg wrote:
>>>
>>> (...)
>>>>
>>>> Daniel,
>>>>
>>> (...)
>>>>
>>>> Also, you mentioned that you can no longer access older releases of
>>>> Groovy-Eclipse.  They are available, but I'm not sure if there is a
>>>> link to them from the groovy-eclipse web page.  I can add them.  Is
>>>> there a particular place that you were looking?
>>>
>>>
>>>>
>>>
>>>
>>>
>>> ---------------------------------------------------------------------
>>> To unsubscribe from this list, please visit:
>>>
>>>    http://xircles.codehaus.org/manage_email
>>>
>>>
>>>
>>
>> ---------------------------------------------------------------------
>> To unsubscribe from this list, please visit:
>>
>>    http://xircles.codehaus.org/manage_email
>>
>>
>
>
>
> ---------------------------------------------------------------------
> To unsubscribe from this list, please visit:
>
>    http://xircles.codehaus.org/manage_email
>
>

---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

Re: Older versions of eclipse plugin

Daniel Henrique Alves Lima
In reply to this post by Andrew Eisenberg
        No reason at all (i don't remember any for now). I'll try a newer
version of Eclipse later.

        Thanks in advance.


On Tue, 2010-11-02 at 08:36 -0700, Andrew Eisenberg wrote:
> Are you running on Eclipse 3.5?  This fix is only available on 3.6.
> Here is the update site:
>
> http://dist.codehaus.org/groovy/distributions/greclipse/snapshot/e3.6/
>
> Is there any reason why you can't upgrade to Eclipse 3.6?  We weren't
> planning on supporting 3.5 any more.
>
>



---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email